#ifndef TEAM_H
#define TEAM_H

#define LIBRARY_SIZE 128
#define DUDE_MEMORY 128

// Directions
enum{
	NORTH, SOUTH, EAST, WEST
};

// Tile types
enum{
	BEDROCK, GRASS, TREE, BERRIES, ROCK, IRON_ORE, // nature
	FOOD, WOOD, STONE, IRON, SWORD, // resources
	DUDE, // humans
	SPAWN, WALL, ROAD, MARK, LIBRARY // buildings
};

// Action types
enum{
	MOVE, ATTACK, PICK, PUT, WORK, WAIT, COMMUNICATE
};

typedef struct{
	int x;
	int y;
} t_coord;

typedef struct{
	int type;
	int dir;
	void* data;
} t_action;

int getInventory();

int getNear(int dir);

#endif